Subject: Re: bug#1286: comment-dwim on a comment line does not toggle comment

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Nov 2008 11:34:33 -0500

> when a cursor is on a comment line (whole line is comment) and there's no
> active region, i don't see any reason it shouldn't just uncomment the line
> when calling comment-dwim. I would say that, any  person, including those

I, on the other hand, don't see why it should do that.  What would be
the logic behind it?  And according to that logic what should it do if
the line contains a comment as well as some code?

As explained, the M-; behavior you're seeing has been with us for many
many years, so there needs to be a good reason for the change (and the
previous behavior of inserting a comment marker and/or reindenting
a preexisting comment marker, should still be available somewhere).

        Stefan